diff --git a/bin/mb-conky-session b/bin/mb-conky-session
index eb6088c..bfcd325 100755
--- a/bin/mb-conky-session
+++ b/bin/mb-conky-session
@@ -31,7 +31,7 @@ USAGE="\vUSAGE:\tmb-conky-session [OPTION(S)]...FILES
### DIALOG VARIABLES
DLG="yad --center --undecorated --borders=20 "
TITLE="Mabox Conky Session"
-WINICON="--window-icon=distributor-logo-bunsenlabs"
+WINICON="--window-icon=distributor-logo-mabox"
OK="--button=OK:0"
case $LANG in
pl*)
@@ -39,7 +39,7 @@ case $LANG in
KILL_FIRST="Czy zamknąć najpierw działające Conky?"
;;
*)
- CANCEL="--button=gtk-cancel:1"
+ CANCEL="--button=Cancel:1"
KILL_FIRST="Kill running conkys first?"
;;
esac
diff --git a/bin/mb-conkyedit b/bin/mb-conkyedit
index 961485f..3e1243c 100755
--- a/bin/mb-conkyedit
+++ b/bin/mb-conkyedit
@@ -20,10 +20,24 @@ CONKYPATH="$HOME/.config/conky"
### DIALOG VARIABLES
DLGDEC="yad --center --borders=20 --width=400 --height=500 "
-TITLE="Edytor Conky"
WINICON="--window-icon=distributor-logo-mabox"
OK="--button=OK:0"
-CANCEL="--button=Anuluj:1"
+case $LANG in
+ pl*)
+ TITLE="Edytor Conky"
+ CANCEL="--button=Anuluj:1"
+ CE_DESC="Wybierz z listy Conky do edycji.\nMożesz wybrać kilka plików konfiguracyjnych.\n Możesz dodać własne pliki konfiguracyjne Conky\n do katalogu $CONKYPATH"
+ CE_CHOSE="Wybór"
+ CE_CONFFILE="Plik konfiguracyjny"
+ ;;
+ *)
+ TITLE="Conky Editor"
+ CANCEL="--button=Cancel:1"
+ CE_DESC="Choose Conky for edit.\n You can choose multiple files.\n You can put your own Conky configurations\n into $CONKYPATH directory."
+ CE_CHOSE="Choose"
+ CE_CONFFILE="Configuration file"
+ ;;
+esac
########## FUNCTIONS ###################################################
@@ -63,9 +77,9 @@ done
## Populate yad dialog from array, get return value(s)
RET=$($DLGDEC $WINICON --list --title="$TITLE" \
- --text="Wybierz z listy Conky do edycji\nMożesz wybrać kilka plików konfiguracyjnych" \
+ --text="$CE_DESC" \
--checklist \
- --column="Wybór:CHK" --column="Plik konfiguracyjny:TXT" $LISTCONKY --separator=":"\
+ --column="$CE_CHOSE:CHK" --column="$CE_CONFFILE:TXT" $LISTCONKY --separator=":"\
$OK $CANCEL \
)
diff --git a/bin/mb-conkyzen b/bin/mb-conkyzen
index 23bf64e..54f37d7 100755
--- a/bin/mb-conkyzen
+++ b/bin/mb-conkyzen
@@ -76,7 +76,7 @@ case $LANG in
;;
*)
TITLE="Conky Manager"
- CANCEL="--button=gtk-cancel:1"
+ CANCEL="--button=Cancel:1"
CONKY_SESSIONFILE="Conky sessionfile"
FILENAME_IN_USE="Filename already in use\n\nOverwrite it?"
SAVE_SESSION="Save Conky sessionfile"
@@ -90,7 +90,7 @@ case $LANG in
esac
DLG="yad --center --undecorated --borders=20 "
DLGDEC="yad --center --borders=20 "
-WINICON="--window-icon=mabox"
+WINICON="--window-icon=distributor-logo-mabox"
OK="--button=OK:0"
diff --git a/bin/mb-obthemes b/bin/mb-obthemes
index 9ca5ca9..929b4fe 100755
--- a/bin/mb-obthemes
+++ b/bin/mb-obthemes
@@ -81,8 +81,8 @@ PICKSCROT="Save screenshot"
### END CONFIGS VARIABLES
### DIALOG VARIABLES
-DIALOG="yad --center --undecorated --borders=20 --window-icon=/usr/share/icons/mbs_trans_32.png"
-DIALOGDEC="yad --center --borders=20 --window-icon=mabox"
+DIALOG="yad --center --undecorated --borders=20 --window-icon=distributor-logo-mabox"
+DIALOGDEC="yad --center --borders=20 --window-icon=distributor-logo-mabox"
case $LANG in
pl*)
TITLE="Menedżer Motywów Mabox"
diff --git a/bin/mb-tint2edit b/bin/mb-tint2edit
index 5f6294f..78e7db4 100755
--- a/bin/mb-tint2edit
+++ b/bin/mb-tint2edit
@@ -18,10 +18,25 @@ TINT2PATH="$HOME/.config/tint2"
### DIALOG VARIABLES
DLGDEC="yad --center --borders=20 --width=400 --height=500 "
-TITLE="Edytor Tint2"
WINICON="--window-icon=distributor-logo-mabox"
-OK="--button=OK:0"
-CANCEL="--button=gtk-cancel:1"
+case $LANG in
+ pl*)
+ TITLE="Edytor Tint2"
+ OK="--button=OK:0"
+ CANCEL="--button=Anuluj:1"
+ TE_DESC="Wybierz pliki konfiguracji Tint2 do edycji.\nMożesz wybrać kilka.\nDodatkowe pliki konfiguracyjne można skopiować do katalogu: \n$TINT2PATH"
+ TE_CHOOSE="Wybór"
+ TE_CONFFILE="Plik konfiguracyjny"
+ ;;
+ *)
+ TITLE="Tint2 Editor"
+ OK="--button=OK:0"
+ CANCEL="--button=Cancel:1"
+ TE_DESC="Choose Tint2rc file for edit.\n You can choose multiple files.\n You can put your own Tint2 configurations\n into $TINT2PATH directory."
+ TE_CHOOSE="Choose"
+ TE_CONFFILE="Configuration file"
+ ;;
+esac
########## FUNCTIONS ###################################################
@@ -56,9 +71,9 @@ for ((j=0; j<${#tintsArr[*]}; j++));do
done
## Populate dialog from array, get return value(s)
RET=$($DLGDEC $WINICON --list --title="$TITLE" \
- --text="Wybierz pliki konfiguracji Tint2 do edycji\nMożesz wybrać kilka\n" \
+ --text="$TE_DESC" \
--checklist \
- --column="Wybór:CHK" --column="Plik konfiguracyjny:TXT" $LISTINT --separator=":" \
+ --column="$TE_CHOOSE:CHK" --column="$TE_CONFFILE:TXT" $LISTINT --separator=":" \
$OK $CANCEL \
)
diff --git a/bin/mb-tint2zen b/bin/mb-tint2zen
index e9c1c59..6682f0c 100755
--- a/bin/mb-tint2zen
+++ b/bin/mb-tint2zen
@@ -45,8 +45,8 @@ case $LANG in
;;
*)
TITLE="Tint2 Manager"
- CANCEL="--button=gtk-cancel:1"
- SELECT_TINT="Select Tint2s from the list:"
+ CANCEL="--button=Cancel:1"
+ SELECT_TINT="Select Tint2s from the list. Click OK to start all selected."
SELECT="Select"
TINT_CONF_FILE="tint2 Name"
;;
diff --git a/bin/mcc b/bin/mcc
index ef3e442..acd5d6b 100755
--- a/bin/mcc
+++ b/bin/mcc
@@ -62,7 +62,7 @@ case $LANG in
;;
*)
MCC="\t\t\t\t\t\t\t Mabox Control Center\n\t\t\t\t\t "
- SYSTEM="System and Hardware"
+ SYSTEM="System/Hardware"
LOCALE_SETTINGS="Locale Settings"
LANGUAGE_PACKAGES="Language Packages"
KERNEL="Kernel"
diff --git a/bin/yautostart b/bin/yautostart
index 1537782..f6d42c3 100755
--- a/bin/yautostart
+++ b/bin/yautostart
@@ -1,5 +1,27 @@
#!/bin/bash
+
+case $LANG in
+ pl*)
+ TITLE="Edytor autostartu XDG"
+ DESC="Wybierz programy/usługi do autostartu"
+ ENABLE="wł"
+ FILE="Plik"
+ NAME="Nazwa"
+ COMMENT="Komentarz"
+ NO_DESC="brak opisu"
+ ;;
+ *)
+ TITLE="XDG Autostart Editor"
+ DESC="Choose apps/services to autostart"
+ ENABLE="run"
+ FILE="FIle"
+ NAME="Name"
+ COMMENT="Comment"
+ NO_DESC="no description"
+ ;;
+esac
+
config_dir=${XDG_CONFIG_HOME:-$HOME/.config}
# Copy only new files from /etc/xdg/autostart/
mkdir -p $config_dir/autostart
@@ -18,10 +40,10 @@ for f in $config_dir/autostart/*.desktop; do
grep -m 1 -e '^[[:blank:]]*Name=' $f | cut -d = -f 2
#grep -m 1 -e '^[[:blank:]]*Exec' $f | cut -d = -f 2
comment=$(grep -m 1 -e '^[[:blank:]]*Comment=' $f | cut -d = -f 2)
- [ ! -z "$comment" ] && echo $comment || echo "brak opisu"
-done | yad --width=400 --height=400 --title="Mabox XDG Autostart editor" --image="gtk-execute" \
- --text="Dodaj/usuń programy z autostartu" --list --print-all --bool-fmt="t" \
- --checklist --column="wł:CHK" --column="File:HD" --column="Nazwa" --column="Komentarz:HD" --tooltip-column=4 > $results
+ [ ! -z "$comment" ] && echo $comment || echo "$NO_DESC"
+done | yad --width=400 --height=400 --title="$TITLE" --image="gtk-execute" \
+ --text="" --list --print-all --bool-fmt="t" \
+ --checklist --column="$ENABLE:CHK" --column="$FILE:HD" --column="$NAME" --column="$COMMENT:HD" --tooltip-column=4 > $results
if [[ ${PIPESTATUS[1]} -eq 0 ]]; then
i=0